<!-- Fixed navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top" id="mainNav">
        <div class="container">
          <a class="navbar-brand js-scroll-trigger" href="{{ "" |relURL }}">HPW</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto">
                        {{ $currentPage := . }}
                        {{ range .Site.Menus.main }}
                            {{ if (eq .Identifier "posts") }}
                                <li class="nav-link js-scroll-trigger dropdown" >
                                    <a href="{{ .URL }}" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                        <span {{ if (strings.HasPrefix $currentPage.RelPermalink .URL )  }}class="active"{{ end }}>{{ .Name }}<span class="caret"></span></span>
                                    </a>
                                    <ul class="dropdown-menu bg-light">
                                        <li class="dropdown-item">
                                            <a href="{{ .URL }}">{{ .Name }}</a>
                                        </li>
                                        <li role="separator" class="dropdown-item divider">
                                        </li>
                                        {{ range first 5 (where $.Site.RegularPages "Section" "posts") }}
                                        <li class="dropdown-item">
                                            <a href="{{ .RelPermalink }}">{{ .Title }}</a>
                                        </li>
                                        {{ end }}
                                    </ul>
                                </li>
                            {{else}}
                            {{ if .HasChildren }}
                            <li class="nav-link js-scroll-trigger dropdown" >
                                <a href="{{ .URL }}" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                    <span {{ if (strings.HasPrefix $currentPage.RelPermalink .URL)  }}class="active"{{ end }}>{{ .Name }}<span class="caret"></span></span>
                                </a>
                                <ul class="dropdown-menu bg-light">
                                    {{ range .Children }}
                                        <li class="dropdown-item">
                                            <a href="{{ .URL }}">{{ .Name }}</a>
                                        </li>
                                    {{ end }}
                                </ul>
                            </li>
                            {{ else }}
                                <li class="nav-link js-scroll-trigger dropdown">
                                    <a href="{{ .URL }}">
                                        <span {{ if (eq $currentPage.RelPermalink .URL) }}class="active"{{ end }}>{{ .Name }}</span>
                                    </a>
                                </li>
                            {{ end }}
                        {{ end }}
                        {{ end }}
                    </ul>
          </div>
        </div>
      </nav>